Nie jesteś zalogowany na forum.

#1 2016-10-31 15:50:16

Archek
Użytkownik
Data rejestracji: 2015-08-30
Liczba postów: 31

[ROZWIĄZANY] Błędy podczas aktualizacji pakietu ttf-dejavu

W dniu dzisiejszym zaskoczył mnie błąd podczas aktualizacji systemu:

yaourt -Syyua
:: Synchronizowanie baz danych z pakietami…
 core                              120,9 KiB   297K/s 00:00 [################################] 100%
 extra                            1756,5 KiB   672K/s 00:03 [################################] 100%
 community                           3,7 MiB  1166K/s 00:03 [################################] 100%
 multilib                          184,2 KiB   969K/s 00:00 [################################] 100%
 Obce pakiety:- 10 / 10

==> Tylko aktualizacja pakietu (nowe wydanie):
extra/libcmis              0.5.1-3    3 -> 4
extra/libixion             0.11.1-2   2 -> 3
extra/liborcus             0.11.2-2   2 -> 3
extra/libtorrent-rasterbar 1:1.1.1-1  1 -> 3
extra/source-highlight     3.1.8-9    9 -> 10
community/qbittorrent      3.3.7-1    1 -> 2

==> Aktualizacja oprogramowania (nowa wersja):
extra/boost-libs           1.61.0-2   -> 1.62.0-2
extra/dbus-glib            0.106-1    -> 0.108-1
extra/ffmpeg               1:3.1.5-1  -> 1:3.2-2
extra/git                  2.10.1-1   -> 2.10.2-1
extra/libproxy             0.4.12-2   -> 0.4.13-1
extra/libthai              0.1.24-1   -> 0.1.25-1
extra/python-packaging     16.7-1     -> 16.8-1
extra/python-setuptools    1:28.7.0-1 -> 1:28.7.1-1
extra/ttf-dejavu           2.35-1     -> 2.37-1

==> Kontynuować aktualizację? [T/n]
==> [Z]obacz szczegóły pakietu   [R]ęcznie wybierz pakiety
==> ------------------------------------------------------
==> 
:: Rozpoczynanie pełnej aktualizacji systemu…
rozwiązywanie zależności…
szukanie sprzecznych pakietów...

Pakiet (15)                 Obecna wersja  Nowa wersja  Zmiana   

extra/boost-libs            1.61.0-2       1.62.0-2      0,17 MiB
extra/dbus-glib             0.106-1        0.108-1      -0,02 MiB
extra/ffmpeg                1:3.1.5-1      1:3.2-2       0,73 MiB
extra/git                   2.10.1-1       2.10.2-1      0,04 MiB
extra/libcmis               0.5.1-3        0.5.1-4       0,00 MiB
extra/libixion              0.11.1-2       0.11.1-3      0,00 MiB
extra/liborcus              0.11.2-2       0.11.2-3      0,00 MiB
extra/libproxy              0.4.12-2       0.4.13-1     -0,04 MiB
extra/libthai               0.1.24-1       0.1.25-1      0,01 MiB
extra/libtorrent-rasterbar  1:1.1.1-1      1:1.1.1-3    -0,02 MiB
extra/python-packaging      16.7-1         16.8-1       -0,03 MiB
extra/python-setuptools     1:28.7.0-1     1:28.7.1-1    0,00 MiB
community/qbittorrent       3.3.7-1        3.3.7-2       0,00 MiB
extra/source-highlight      3.1.8-9        3.1.8-10      0,00 MiB
extra/ttf-dejavu            2.35-1         2.37-1        0,57 MiB

Do zainstalowania:       101,76 MiB
Zmiana po aktualizacji:    1,40 MiB

:: Kontynuować instalację? [T/n] 
(15/15) sprawdzanie kluczy w bazie                          [################################] 100%
(15/15) sprawdzanie spójności pakietów                      [################################] 100%
(15/15) wczytywanie listy plików                            [################################] 100%
(15/15) sprawdzanie konfliktów plików                       [################################] 100%
błąd:  nie udało się dokonać transakcji (konfliktujące pliki)
ttf-dejavu: /etc/fonts/conf.d/20-unhint-small-dejavu-sans-mono.conf znajduje się w systemie plików
ttf-dejavu: /etc/fonts/conf.d/20-unhint-small-dejavu-sans.conf znajduje się w systemie plików
ttf-dejavu: /etc/fonts/conf.d/20-unhint-small-dejavu-serif.conf znajduje się w systemie plików
ttf-dejavu: /etc/fonts/conf.d/57-dejavu-sans-mono.conf znajduje się w systemie plików
ttf-dejavu: /etc/fonts/conf.d/57-dejavu-sans.conf znajduje się w systemie plików
ttf-dejavu: /etc/fonts/conf.d/57-dejavu-serif.conf znajduje się w systemie plików
Wystąpiły błędy, nie zaktualizowano żadnego pakietu.

Używam środowiska Cinnamon. Można z tym coś zrobić?

Ostatnio edytowany przez Archek (2016-10-31 16:18:57)


Arch Linux z Cinnamon - x86_64

Offline

#2 2016-10-31 16:15:20

Archek
Użytkownik
Data rejestracji: 2015-08-30
Liczba postów: 31

Odp: [ROZWIĄZANY] Błędy podczas aktualizacji pakietu ttf-dejavu

Znalazłem rozwiązanie

sudo pacman -S --force ttf-dejavu

Arch Linux z Cinnamon - x86_64

Offline

#3 2016-10-31 16:19:10

pavbaranov
Administrator
Lokalizacja: Kraków
Data rejestracji: 2015-08-22
Liczba postów: 1,661
WWW

Odp: [ROZWIĄZANY] Błędy podczas aktualizacji pakietu ttf-dejavu

Sprawdzić (pacman -Qo) jaka paczka dostarczyła pliki wymienione jako "znajduje się w systemie plików" i w zależności od efektu tej operacji:
- skasować pliki - przeprowadzić aktualizację,
- sforsować (--force) aktualizację pakietu ttf-dejavu,
- odinstalować paczkę odpowiedzialną za pliki "znajduje się w systemie plików" i dokonać aktualizacji (ew. również zainstalować ttf-dejavu),
- nic nie robić i martwić się dalej,
- przeczytać informację na pierwszej stronie Archlinux.org: https://www.archlinux.org/news/ttf-deja … d-upgrade/ i postąpić wg tego co tam (a i pośród ww. propozycji) wskazano.
:D


Hardware: AMD: A8-7410 APU with Radeon R5
Software (podaję wyłącznie odrębności): Arch testing+kde-unstable, kernel linux-pb (4.19.8 m.in. PDS, UKSM, BFQ-MQ/SQ), amdgpu (dla CIK), KDE, patche z POLAUR

Offline

Stopka

Napędzają nas PacmanVPS i MegiTeam

Forum oparte na FluxBB